This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 7 replies, has 2 voices.

Last updated by Andreas W. 6 months ago.

Assigned support staff: Andreas W..

Author Posts
April 24, 2019 at 9:09 pm #3676963

kazanciC

I am trying to:
install the WPML Translation Management and WPML String Translation.

Instead, I got:
an error tells me that "couldn't copy file (wpml-translation-management .......)" because of that I can't use the WPML plugin properly and my website isn't translated correctly.

Please check the attached for the error screenshot.

Please find the login details to my website as below;
Login details;

April 24, 2019 at 9:26 pm #3677073

Andreas W.
Supporter

Languages: English (English ) Spanish (Español ) German (Deutsch )

Timezone: America/Lima (GMT-05:00)

Hello,

Thank you for contacting WPML Support.

Please download the latest versions of WPML Multilingual CMS 4.2.6 at https://wpml.org/downloads.

Deactivate and delete all WPML plugins. Do not worry, this process will not affect your translations and settings stored in the database.

Add WPML Mulitlingual CMS 4.2.6 again.

Then go to Plugins -> Install -> Commercial and download the add-ons. Also, select the "Enable After Download" button at the bottom of the plug-in selector.

Please let me know if the issue has been resolved.

Kind regards
Andreas

April 24, 2019 at 9:44 pm #3677213

kazanciC

Hi there,
I have got an error as the attached screenshot. "Could not copy file. sitepress-multilingual-cms/classes/theme-plugin-localization/factory/class-wpml-theme-plugin-localization-options-ajax-factory.php"

Thanks.

April 24, 2019 at 9:55 pm #3677285

Andreas W.
Supporter

Languages: English (English ) Spanish (Español ) German (Deutsch )

Timezone: America/Lima (GMT-05:00)

Hello,

Do you receive the same error when you deactivate any additional plugin temporarily?

Further, are you trying to update or are you making a fresh install?

Please make sure to delete the previous installed version completely. In case the task fails please delete the folder sitepress-multilingual-cms from your wp-content folder by FTP.

Afterwards proceed with the steps from my first message.

Let me know if you need further assistance.

Kind regards
Andreas

April 24, 2019 at 9:59 pm #3677287

kazanciC

Hi,

No, I don't receive the same error with any other plugins.

I'm trying to install from the very beginning after deactivating and deleting the old WPML plugin.

the folder sitepress-multilingual-cms already deleted.

I deactivated and deleted the plugin completely from my website then uploaded the new version I have downloaded from your website, but I'm still getting the same error.

thanks

April 24, 2019 at 10:13 pm #3677305

Andreas W.
Supporter

Languages: English (English ) Spanish (Español ) German (Deutsch )

Timezone: America/Lima (GMT-05:00)

Hello,

I can see you are using a outdated version of WordPress and also your mySQL is not reaching the minimum requirement for using WPML. Please update mySQL to version 5.6 or higher and consider updating WordPress at Dashboard -> Updates.
https://wpml.org/home/minimum-requirements/

Please then proceed again with a fresh installation. If it still fails, make sure that you disable any additional plugin and switch to a default theme TwentySeventeen.

I hope this will solve the issue.

Kind regards
Andreas

April 24, 2019 at 10:13 pm #3677307

kazanciC

hello again,

I won't be able to update mySQL in the main time, because I need to contact my developer and that would take longer. Can we find a solution to function it now until I update mySQL ?

Thanks

April 24, 2019 at 11:09 pm #3677455

Andreas W.
Supporter

Languages: English (English ) Spanish (Español ) German (Deutsch )

Timezone: America/Lima (GMT-05:00)

Hello,

I would like to request temporary access (wp-admin and FTP) to your site to take a better look at the issue. It would be better to a testing site where the issue is replicated.

You will find the needed fields for this below the comment area when you log in to leave your next reply. The information you will enter is private which means only you and I can see and have access to it.

Maybe I'll need to replicate your site locally. For this, I’ll need to temporarily install a plugin called “Duplicator” on your site. This will allow me to create a copy of your site and your content. Once the problem is resolved I will delete the local site. Let me know if this is ok with you.

IMPORTANT

Please make a backup of site files and database before providing us access.
If you do not see the wp-admin/FTP fields this means your post & website login details will be made PUBLIC. DO NOT post your website details unless you see the required wp-admin/FTP fields. If you do not, please ask me to enable the private box. The private box looks like this:
hidden link

Kind regards
Andreas

The topic ‘[Closed] I can't install the plugin completely’ is closed to new replies.